Last Comment Bug 4639 - Printer dialog needs to be transient
: Printer dialog needs to be transient
Status: RESOLVED FIXED
: pp
Product: Core Graveyard
Classification: Graveyard
Component: Tracking (show other bugs)
: Trunk
: Other Linux
: -- normal (vote)
: Future
Assigned To: rods (gone)
: sujay
:
Mentors:
Depends on:
Blocks: 125824 11275
  Show dependency treegraph
 
Reported: 1999-04-07 10:01 PDT by sujay
Modified: 2016-07-15 12:13 PDT (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description sujay 1999-04-07 10:01:18 PDT
using 4/5 build of apprunner on Linux. Please re-assign to
appropriate person. thanks!

Need to make the printer dialog transient, e.g., when
viewer/apprunner is iconified, the printer dialog needs to go down with
it.
Comment 1 sujay 1999-04-07 10:14:59 PDT
changing QA_contact to myself....sorry for all the bug mail spam!
Comment 2 leger 1999-06-22 17:51:59 PDT
Moving all Apprunner bugs past and present to Other component temporarily whilst
don and I set correct component.  Apprunner component will be deleted/retired
shortly.
Comment 3 Syd Logan 1999-07-16 15:39:59 PDT
Pavlov, when you nail the transient-for issue, let me know so I can apply it to
this. Thanks.
Comment 4 Syd Logan 1999-07-24 20:34:59 PDT
Actually, the printer dialog is a bit different beast than, say, the preferences
dialog or some other apprunner dialog in that it is native. I need some way to
know who the top level application window is, then I can make this dialog
transient-for. Pav, e-mail when there is a clear way for me to call and get this
parent window, or have it passed into me.
Comment 5 Syd Logan 1999-12-01 22:12:59 PST
Mass moving these bugs to M13
Comment 6 Alex Musil 2000-01-12 18:47:59 PST
Moving Syd's non-PDT+ bugs to M15 to indicate that he will not have time to get
to them for Beta.
Comment 7 Alex Musil 2000-04-06 14:21:05 PDT
Moving Syd's non-IM bugs to M20
Comment 8 Syd Logan 2000-10-23 17:27:22 PDT
Reassigning to kevin for triage
Comment 9 Kevin McCluskey (gone) 2000-10-25 17:26:07 PDT
Reassiging to Waqar
Comment 10 Kevin McCluskey (gone) 2001-10-04 16:22:57 PDT
bulk reassigning Waqar's bugs to Don.
Comment 11 dcone (gone) 2001-12-18 14:25:57 PST
this may me all finished
Comment 12 Roland Mainz 2002-02-15 17:57:45 PST
AFAIK this has been implemented long ago on Unix/Linux platforms...
Comment 13 rods (gone) 2002-02-20 09:09:05 PST
This is fixed
Comment 14 Henrik Lynggaard Hansen 2003-04-15 15:03:32 PDT
yep, this is fixed. working in 1.3,

marking as fixed

Note You need to log in before you can comment on or make changes to this bug.